package com.pcloud.book.group.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/8/5 17:14
 **/
@JsonInclude(JsonInclude.Include.NON_NULL)
public class OwnAltQrcodeInfoDTO implements Serializable {

    @ApiModelProperty("小号id")
    private String altId;

    @ApiModelProperty("小号昵称")
    private String altNickName;

    @ApiModelProperty("小号头像")
    private String altHeadUrl;

    @ApiModelProperty("小号二维码地址")
    private String altQrcodeUrl;

    @ApiModelProperty("暗号")
    private String cipher;

    public String getAltId() {
        return altId;
    }

    public void setAltId(String altId) {
        this.altId = altId;
    }

    public String getAltNickName() {
        return altNickName;
    }

    public void setAltNickName(String altNickName) {
        this.altNickName = altNickName;
    }

    public String getAltHeadUrl() {
        return altHeadUrl;
    }

    public void setAltHeadUrl(String altHeadUrl) {
        this.altHeadUrl = altHeadUrl;
    }

    public String getAltQrcodeUrl() {
        return altQrcodeUrl;
    }

    public void setAltQrcodeUrl(String altQrcodeUrl) {
        this.altQrcodeUrl = altQrcodeUrl;
    }

    public String getCipher() {
        return cipher;
    }

    public void setCipher(String cipher) {
        this.cipher = cipher;
    }

    @Override
    public String toString() {
        return "OwnAltQrcodeInfoDTO{" +
                "altId='" + altId + '\'' +
                ", altNickName='" + altNickName + '\'' +
                ", altHeadUrl='" + altHeadUrl + '\'' +
                ", altQrcodeUrl='" + altQrcodeUrl + '\'' +
                ", cipher='" + cipher + '\'' +
                '}';
    }
}
